Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QGraphicsView.ViewportAnchor

    java.lang.Object
      java.lang.Enum<QGraphicsView.ViewportAnchor>
          com.trolltech.qt.gui.QGraphicsView.ViewportAnchor

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QGraphicsView.ViewportAnchor>

Enclosing class:
  QGraphicsView

    public static enum QGraphicsView.ViewportAnchor

extends java.lang.Enum<QGraphicsView.ViewportAnchor>
implements QtEnumerator

This enums describe the possible anchors that `QGraphicsView` can use when the user resizes the view or when the view is transformed.

See Also:
  `resizeAnchor`, `transformationAnchor`

Enum Constant Summary
`AnchorUnderMouse` The point under the mouse is used as the anchor.
`AnchorViewCenter` The scene point at the center of the view is used as the anchor.
`NoAnchor` No anchor, i.e. the view leaves the scene's position unchanged.

Method Summary
`static QGraphicsView.ViewportAnchor` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QGraphicsView.ViewportAnchor` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QGraphicsView.ViewportAnchor[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoAnchor

    public static final QGraphicsView.ViewportAnchor NoAnchor

  No anchor, i.e. the view leaves the scene's position unchanged.

### AnchorViewCenter

    public static final QGraphicsView.ViewportAnchor AnchorViewCenter

  The scene point at the center of the view is used as the anchor.

### AnchorUnderMouse

    public static final QGraphicsView.ViewportAnchor AnchorUnderMouse

  The point under the mouse is used as the anchor.

Method Detail

### values

    public static final QGraphicsView.ViewportAnchor[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QGraphicsView.ViewportAnchor c : QGraphicsView.ViewportAnchor.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QGraphicsView.ViewportAnchor valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QGraphicsView.ViewportAnchor resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD